package domain

type AlibabaHmMarketingItempoolQueryactivityCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步渠道配置     */
	ChannelConfigList *[]AlibabaHmMarketingItempoolQueryactivityChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaHmMarketingItempoolQueryactivityCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingItempoolQueryactivityCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingItempoolQueryactivityCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityCommonActivityParam) SetByChannel(v bool) *AlibabaHmMarketingItempoolQueryactivityCommonActivityParam {
	s.ByChannel = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityCommonActivityParam) SetChannelConfigList(v []AlibabaHmMarketingItempoolQueryactivityChannelConfig) *AlibabaHmMarketingItempoolQueryactivityCommonActivityParam {
	s.ChannelConfigList = &v
	return s
}
